# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

### 2.0.0-rc.1 - 2021-04-13

#### 📦 Dependencies

- Update driver dependencies to latest. ([6e6c4cf](https://github.com/beemojs/beemo/commit/6e6c4cf))

**Note:** Version bump only for package @beemo/driver-babel





# 2.0.0-rc.0 - 2021-03-20

#### 💥 Breaking

- Support driver CLI commands. Move TS project reference syncing. (#123) ([ab78a75](https://github.com/beemojs/beemo/commit/ab78a75)), closes [#123](https://github.com/beemojs/beemo/issues/123)

#### 🚀 Updates

- Add "template" strategy for full driver config control. (#114) ([10ebc4b](https://github.com/beemojs/beemo/commit/10ebc4b)), closes [#114](https://github.com/beemojs/beemo/issues/114)
- Add `expandGlobs` option to `DriverOptions`. (#121) ([b04da5d](https://github.com/beemojs/beemo/commit/b04da5d)), closes [#121](https://github.com/beemojs/beemo/issues/121)

#### 📦 Dependencies

- **[packemon]** Update to v0.13. ([1488e86](https://github.com/beemojs/beemo/commit/1488e86))
- **[packemon]** Update to v0.14. (#124) ([4cce9df](https://github.com/beemojs/beemo/commit/4cce9df)), closes [#124](https://github.com/beemojs/beemo/issues/124)

#### 📘 Docs

- Migrate to Docusaurus. (#125) ([39ba2b4](https://github.com/beemojs/beemo/commit/39ba2b4)), closes [#125](https://github.com/beemojs/beemo/issues/125)

#### 🛠 Internals

- Add funding links. ([c176d75](https://github.com/beemojs/beemo/commit/c176d75))

**Note:** Version bump only for package @beemo/driver-babel





### 2.0.0-alpha.3 - 2021-02-25

#### 🐞 Fixes

- Rebuild for prerelease. ([f73ee76](https://github.com/beemojs/beemo/commit/f73ee76))

**Note:** Version bump only for package @beemo/driver-babel





### 2.0.0-alpha.2 - 2021-02-24

#### 🐞 Fixes

- Fix context options inconsistencies. ([413e024](https://github.com/beemojs/beemo/commit/413e024))

**Note:** Version bump only for package @beemo/driver-babel





# 2.0.0-alpha.1 - 2021-02-23

#### 💥 Breaking

- Migrate to new `@boost/plugin` system. ([4e90dab](https://github.com/beemojs/beemo/commit/4e90dab))
- Update Node.js requirement to v10.17. ([6e688c8](https://github.com/beemojs/beemo/commit/6e688c8))

#### 🎨 Styles

- Run prettier. ([682e394](https://github.com/beemojs/beemo/commit/682e394))

#### ⚙️ Types

- Update config and args to inherit from `@babel/core`. ([3eed85d](https://github.com/beemojs/beemo/commit/3eed85d))

#### 📦 Dependencies

- Migrate packages to v2 alpha. ([598a1f1](https://github.com/beemojs/beemo/commit/598a1f1))

#### 📘 Docs

- Rework and expand examples. ([37ca795](https://github.com/beemojs/beemo/commit/37ca795))

#### 🛠 Internals

- Improve CLI performance and fix edge cases. ([c2afb9e](https://github.com/beemojs/beemo/commit/c2afb9e))
- Migrate to Packemon for package building. (#102) ([e9d5f89](https://github.com/beemojs/beemo/commit/e9d5f89)), closes [#102](https://github.com/beemojs/beemo/issues/102)
- Rewrite built-in drivers and scripts. ([19a2cd5](https://github.com/beemojs/beemo/commit/19a2cd5))
- Run linter and auto-fix. Sort imports/exports. ([b86f69e](https://github.com/beemojs/beemo/commit/b86f69e))
- Update test and build system. ([3a362b6](https://github.com/beemojs/beemo/commit/3a362b6))
- Update tests to new APIs. ([f47067d](https://github.com/beemojs/beemo/commit/f47067d))
- Verify and improve driver piped output. (#111) ([518a9ae](https://github.com/beemojs/beemo/commit/518a9ae)), closes [#111](https://github.com/beemojs/beemo/issues/111)

**Note:** Version bump only for package @beemo/driver-babel





### 1.2.6 - 2020-09-04

#### 📦 Dependencies

- **[babel]** Update to v7.11. ([573af87](https://github.com/beemojs/beemo/commit/573af87))

**Note:** Version bump only for package @beemo/driver-babel





### 1.2.5 - 2020-05-21

#### 📦 Dependencies

- Update minor and patch versions. ([87b8a14](https://github.com/beemojs/beemo/commit/87b8a14))

**Note:** Version bump only for package @beemo/driver-babel





### 1.2.4 - 2020-04-22

#### 📦 Dependencies

- **[babel]** Update driver. ([29cf85a](https://github.com/beemojs/beemo/commit/29cf85a))

**Note:** Version bump only for package @beemo/driver-babel





### 1.2.3 - 2020-03-21

#### 📦 Dependencies

- Update drivers to latest. ([4c39c71](https://github.com/beemojs/beemo/commit/4c39c71))

**Note:** Version bump only for package @beemo/driver-babel





### 1.2.2 - 2020-02-10

#### 📦 Dependencies

- Update driver dependencies. ([1238627](https://github.com/beemojs/beemo/commit/1238627))
- Update root and dev dependencies. ([1efcf4d](https://github.com/beemojs/beemo/commit/1efcf4d))

#### 🛠 Internals

- Fix syntax and composite issues. ([e2c67d2](https://github.com/beemojs/beemo/commit/e2c67d2))

**Note:** Version bump only for package @beemo/driver-babel





### 1.2.1 - 2020-01-25

#### 📦 Dependencies

- Update drivers to latest. ([0f03ef8](https://github.com/beemojs/beemo/commit/0f03ef8))

**Note:** Version bump only for package @beemo/driver-babel





## 1.2.0 - 2019-12-10

#### 🚀 Updates

- Update config types. ([f59967c](https://github.com/beemojs/beemo/commit/f59967c))

#### ⚙️ Types

- Add driver specific args interface. ([068e0c6](https://github.com/beemojs/beemo/commit/068e0c6))

**Note:** Version bump only for package @beemo/driver-babel





## 1.1.0 - 2019-12-08

#### 🚀 Updates

- Improve error output for failed drivers and scripts. (#73) ([d9324c9](https://github.com/beemojs/beemo/commit/d9324c9)), closes [#73](https://github.com/beemojs/beemo/issues/73)
- Support Windows OS and Node v13. (#68) ([94ebe84](https://github.com/beemojs/beemo/commit/94ebe84)), closes [#68](https://github.com/beemojs/beemo/issues/68)

#### 🐞 Fixes

- Set `filterOptions` to true by default. ([b7e695c](https://github.com/beemojs/beemo/commit/b7e695c))

#### 📦 Dependencies

- Update drivers to latest. ([b45cc46](https://github.com/beemojs/beemo/commit/b45cc46))

**Note:** Version bump only for package @beemo/driver-babel





### 1.0.6 - 2019-11-13

#### 📦 Dependencies

- **[boost]** Update to latest. Rework `@types` packages. ([9a945ba](https://github.com/commit/9a945ba))

#### 🛠 Internals

- Migrate to GitHub actions. (#65) ([d6d27af](https://github.com/commit/d6d27af)), closes [#65](https://github.com/issues/65)

**Note:** Version bump only for package @beemo/driver-babel





### 1.0.5 - 2019-10-30

#### 📦 Dependencies

- Update drivers to latest. ([8e74463](https://github.com/beemojs/beemo/tree/master/packages/driver-babel/commit/8e74463))

**Note:** Version bump only for package @beemo/driver-babel





### 1.0.4 - 2019-09-10

#### 📦 Dependencies

- **[Babel]** Update to v7.6. ([51d37fd](https://github.com/beemojs/beemo/tree/master/packages/driver-babel/commit/51d37fd))
- Update remaining dependencies. ([9b35265](https://github.com/beemojs/beemo/tree/master/packages/driver-babel/commit/9b35265))

**Note:** Version bump only for package @beemo/driver-babel





### 1.0.3 - 2019-07-28

#### 🐞 Fixes

- Refine and improve types. Replace some any usage with unknown. ([162219a](https://github.com/beemojs/beemo/tree/master/packages/driver-babel/commit/162219a))

#### 📦 Dependencies

- Update all minor and patch versions. ([15c3f20](https://github.com/beemojs/beemo/tree/master/packages/driver-babel/commit/15c3f20))

**Note:** Version bump only for package @beemo/driver-babel





### 1.0.2 - 2019-07-06

#### 🛠 Internals

- Utilize generated tsconfig.json files. (#56) ([788843e](https://github.com/beemojs/beemo/tree/master/packages/driver-babel/commit/788843e)), closes [#56](https://github.com/beemojs/beemo/tree/master/packages/driver-babel/issues/56)

**Note:** Version bump only for package @beemo/driver-babel





### 1.0.1 - 2019-06-13

#### 📦 Dependencies

- Bump to latest. Fix peers and vulnerabilities. (#53) ([f8ba055](https://github.com/beemojs/beemo/tree/master/packages/driver-babel/commit/f8ba055)), closes [#53](https://github.com/beemojs/beemo/tree/master/packages/driver-babel/issues/53)

#### 🛠 Internals

- Setup DangerJS and conventional changelog (#52) ([c253bf6](https://github.com/beemojs/beemo/tree/master/packages/driver-babel/commit/c253bf6)), closes [#52](https://github.com/beemojs/beemo/tree/master/packages/driver-babel/issues/52)

**Note:** Version bump only for package @beemo/driver-babel





# 1.0.0 - 2019-05-18

#### 🎉 Release

- Initial release!
